%global githash feeb2c28b1be
Name:          oauth2-oidc-sdk
Version:       5.17.1
Release:       1%{?dist}
Summary:       OAuth 2.0 SDK with OpenID Connect extensions Java library
License:       ASL 2.0
URL:           http://connect2id.com/products/nimbus-oauth-openid-connect-sdk
Source0:       https://bitbucket.org/connect2id/oauth-2.0-sdk-with-openid-connect-extensions/get/%{version}.tar.bz2

BuildRequires: git
BuildRequires: maven-local
BuildRequires: mvn(com.nimbusds:lang-tag)
BuildRequires: mvn(com.nimbusds:nimbus-jose-jwt)
BuildRequires: mvn(javax.mail:mail)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(net.jcip:jcip-annotations)
BuildRequires: mvn(net.minidev:json-smart) >= 1.3.1
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.cryptomator:siv-mode)
BuildRequires: mvn(org.opensaml:opensaml)
BuildRequires: mvn(org.slf4j:slf4j-api)

# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)

BuildArch:     noarch

%description
This Java library is your starting point for developing OAuth 2.0 and
OpenID Connect based applications. It offers ready and simple-to-use
classes to represent the protocol messages, ensuring they are generated and
parsed according to the specs, thus ensuring interoperability.

The OAuth 2.0 and OpenID Connect standards permit various application
specific extensions, and the library also caters for that by providing
suitable interfaces and base classes.

%package javadoc
Summary:       Javadoc for %{name}


%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n connect2id-oauth-2.0-sdk-with-openid-connect-extensions-%{githash}

# UnicodeDecodeError: 'utf-8' codec can't decode byte 0xef in position 92: invalid continuation byte
%pom_xpath_remove pom:license/pom:url
%pom_xpath_inject pom:licenses/pom:license "<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>"

%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :nexus-staging-maven-plugin

%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"

# Not available test dep: net.jadler:jadler-all:1.3.0
%pom_remove_dep net.jadler:jadler-all
rm src/test/java/com/nimbusds/oauth2/sdk/HTTPTokenRequestTest.java \
 src/test/java/com/nimbusds/oauth2/sdk/http/HTTPRequestTest.java \
 src/test/java/com/nimbusds/oauth2/sdk/jose/jwk/RemoteJWKSetTest.java \
 src/test/java/com/nimbusds/openid/connect/sdk/validators/IDTokenValidatorWithHTTPTest.java \
 src/test/java/com/nimbusds/oauth2/sdk/http/DefaultResourceRetrieverTest.java

# Use servlet 3.0 apis
rm src/test/java/com/nimbusds/oauth2/sdk/http/MockServletResponse.java \
 src/test/java/com/nimbusds/oauth2/sdk/http/MockServletRequest.java \
 src/test/java/com/nimbusds/oauth2/sdk/http/ServletUtilsTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.txt README.txt docs/*
%license COPYRIGHT.txt LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.txt LICENSE.txt

%changelog
* Mon Sep 12 2016 gil cattaneo <puntogil@libero.it> 5.17.1-1
- update to 5.17.1
- resolve oauth-2.0-sdk-with-openid-connect-extensions/issues/194

* Thu Sep 08 2016 gil cattaneo <puntogil@libero.it> 5.17-1
- initial rpm

